{
  "db_name": "MySQL",
  "query": "\n            SELECT id, dm_channel, IF(timezone IS NULL, ?, timezone) AS timezone, allowed_dm\n            FROM users\n            WHERE id = ?\n            ",
  "describe": {
    "columns": [
      {
        "ordinal": 0,
        "name": "id",
        "type_info": {
          "type": "LongLong",
          "flags": "NOT_NULL | PRIMARY_KEY | UNSIGNED | NO_DEFAULT_VALUE",
          "max_size": 20
        }
      },
      {
        "ordinal": 1,
        "name": "dm_channel",
        "type_info": {
          "type": "Long",
          "flags": "NOT_NULL | UNIQUE_KEY | UNSIGNED | NO_DEFAULT_VALUE",
          "max_size": 10
        }
      },
      {
        "ordinal": 2,
        "name": "timezone",
        "type_info": {
          "type": "VarString",
          "flags": "",
          "max_size": 65532
        }
      },
      {
        "ordinal": 3,
        "name": "allowed_dm",
        "type_info": {
          "type": "Tiny",
          "flags": "NOT_NULL",
          "max_size": 1
        }
      }
    ],
    "parameters": {
      "Right": 2
    },
    "nullable": [
      false,
      false,
      true,
      false
    ]
  },
  "hash": "0c88c5b30d2065c22e8f92ec97c921a33d599689f3283783d5416330f82b3e73"
}
